## org.eclipse.xsd.impl.type
Class XSDAnySimpleType

    java.lang.Object
      org.eclipse.xsd.impl.type.XSDAnySimpleType

Direct Known Subclasses:
  XSDAnyURIType, XSDBase64BinaryType, XSDBooleanType, XSDDateTimeType, XSDDateType, XSDDecimalType, XSDDoubleType, XSDDurationType, XSDFloatType, XSDGDayType, XSDGMonthDayType, XSDGMonthType, XSDGYearMonthType, XSDGYearType, XSDHexBinaryType, XSDNotationType, XSDQNameType, XSDTimeType

    public class XSDAnySimpleType

extends java.lang.Object

Nested Class Summary
`static class` `XSDAnySimpleType.ByteSequence`
`static class` `XSDAnySimpleType.HexSequence`

Constructor Summary
`XSDAnySimpleType()`

Method Summary
`void` `assess(XSDSimpleTypeDefinitionImpl.AssessmentImpl assessment)`
`int` `compareValues(java.lang.Object value1, java.lang.Object value2)`
`java.lang.String` `getCanonicalLiteral(java.lang.Object value)`
`java.lang.Object` `getValue(java.lang.String normalizedLiteral)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XSDAnySimpleType

    public XSDAnySimpleType()

Method Detail

### assess

    public void assess(XSDSimpleTypeDefinitionImpl.AssessmentImpl assessment)

### getValue

    public java.lang.Object getValue(java.lang.String normalizedLiteral)

### getCanonicalLiteral

    public java.lang.String getCanonicalLiteral(java.lang.Object value)

### compareValues

    public int compareValues(java.lang.Object value1,
                             java.lang.Object value2)

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.